package com.docus.server;

import com.docus.core.util.SpringUtils;
import com.docus.server.collect.enums.DownWayEnum;
import com.docus.server.collect.service.FileReportService;
import com.docus.server.collect.service.dto.ReportFileInfoDTO;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.Properties;

/**
 * 病案报告采集
 *
 * @author wyb
 */
@EnableFeignClients
@EnableAsync
@MapperScan("com.docus.server.**.mapper")
@SpringBootApplication(scanBasePackages = {"com.docus"})
public class CollectApplication {
    public static void main(String[] args) throws Exception {
        Properties props = System.getProperties();
        props.setProperty("org.apache.cxf.stax.allowInsecureParser", "1");
        props.setProperty("UseSunHttpHandler", "true");
        props.setProperty("javax.xml.parsers.DocumentBuilderFactory", "com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl");
        SpringApplication.run(CollectApplication.class, args);

//        testBase64Report();


    }

    private static void testBase64Report() {
        try {
            String url=getBase64();
            ReportFileInfoDTO dto = new ReportFileInfoDTO();
            dto.setPatientId("20001099999");
            dto.setSysFlag("icu");
            dto.setSerialNum("0002353348_1229183645");
            dto.setFileTitle("szy服务");
            dto.setTaskId(2023060815440200002L);
            dto.setDownUrl(url);
            dto.setDownWayEnum(DownWayEnum.BASE64);
            dto.setIp("szy-lis");
            dto.setUserName("lis");
            dto.setReportUserFullName("lis");
            dto.setAssortId("list-assort");
            FileReportService reportService = SpringUtils.getBean(FileReportService.class);
            reportService.saveDownloadTaskAndReport(dto);
        }catch (Exception ex){
            ex.printStackTrace();
        }
    }

    private  static  String getBase64() throws Exception {
        FileReader reader = new FileReader("C:\\Users\\WYBDEV\\Desktop\\sb.txt");
        BufferedReader bufferedReader = new BufferedReader(reader);
        String base64 = bufferedReader.readLine();
        bufferedReader.close();
        reader.close();
        return base64;
    }
}
