package com.docus.server.collect.controller.test;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.collect.collector.LisSystemCollector;
import com.docus.server.collect.entity.Jzh;
import com.docus.server.collect.service.dto.ReportFileInfoDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author WYBDEV
 */
@Slf4j
@RestController
@Api(tags = "采集测试")
@RequestMapping("/collect/test/gdszy")
public class TestCollectController {
    @Autowired
    private LisSystemCollector lisSystemCollector;

    @ApiOperation("采集测试 LIS 采集接口")
    @GetMapping("/lis")
    public CommonResult<Map<String,Object>> lisSystemCollect(@RequestParam("jzh") String jzh, @RequestParam("beginDateTime") String beginDateTime, @RequestParam("endDateTime") String endDateTime ) {
        String normal = lisSystemCollector.collectData(new Jzh(jzh), beginDateTime, endDateTime, 0);
        String mt = lisSystemCollector.collectData(new Jzh(jzh), beginDateTime, endDateTime, 1);
        List<ReportFileInfoDTO> normalParse = LisSystemCollector.LisSystemCollectConverter.convert(normal);
        List<ReportFileInfoDTO> mtParse = LisSystemCollector.LisSystemCollectConverter.convert(mt);
        Map<String, Object> map = new HashMap<>();
        map.put("普通报告",normal);
        map.put("细菌微生物报告",mt);
        map.put("普通报告解析",normalParse);
        map.put("细菌微生物报告解析",mtParse);
        return CommonResult.success(map);
    }
}
