package com.docus.server.collect.dto;

import com.docus.server.collect.service.dto.ReportFileInfoDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 患者基础信息
 *
 * @author WYBDEV
 */
@Data
@ApiModel(value = "患者基础信息查询条件")
public class TBasicQrDto {
    @ApiModelProperty(value = "病案主键")
    private String patientId;
    @ApiModelProperty(value = "住院号")
    private String inpatientNo;
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "出院日期查询，开始时间 yyyy-MM-dd")
    private String disDateStart;

    @ApiModelProperty(value = "出院日期查询，结束时间 yyyy-MM-dd")
    private String disDateEnd;

    @ApiModelProperty(value = "记账号")
    private String jzh;

    @ApiModelProperty(value = "省中医患者主索引号")
    private String empId;

    public TBasicQrDto() {
    }

    public TBasicQrDto(ReportFileInfoDTO fileInfoDTO) {
        this.jzh = fileInfoDTO.getJzh();
        this.patientId = fileInfoDTO.getPatientId();
        this.inpatientNo = fileInfoDTO.getInpatientNo();
        this.admissTimes = fileInfoDTO.getAdmisstimes();
        ;
    }
}
