package com.docus.server.collect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 文件下载任务
 *
 * @author wyb
 **/
@ApiModel(value = "DownloadTask对象", description = "文件生成下载任务")
@Data
@TableName("af_download_task")
public class DownloadTask implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文件id（主键）")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @TableField("patient_id")
    @ApiModelProperty(value = "档案id(患者主键)")
    private String patientId;


    @TableField("inpatient_no")
    @ApiModelProperty(value = "病案号")
    private String inpatientNo;

    @TableField("admissions")
    @ApiModelProperty(value = "住院次数")
    private Integer admissions;

    @TableField("jzh")
    @ApiModelProperty(value = "记账号")
    private String jzh;

    @TableField("latest_ip")
    @ApiModelProperty(value = "最新的上报ip")
    private String latestIp;


    @TableField("latest_file_url")
    @ApiModelProperty(value = "最新的上报文件地址")
    private String latestFileUrl;

    @TableField("latest_file_url_type")
    @ApiModelProperty(value = "最新的获取文件方式(文件地址类型,http(1),base64(2),base64url(3),smb(4),localbase64(5))")
    private Integer latestFileUrlType;

    @TableField("latest_file_title")
    @ApiModelProperty(value = "最新的上报文件标题")
    private String latestFileTitle;


    @TableField("latest_zd_assort_id")
    @ApiModelProperty(value = "最新的上报文件分类id")
    private String latestZdAssortId;


    @TableField("latest_report_time")
    @ApiModelProperty(value = "最新的上报时间")
    private Date latestReportTime;


    @TableField("latest_download_status")
    @ApiModelProperty(value = "最新的下载状态(0:未开始,1:成功,2:失败)")
    private Integer latestDownloadStatus;


    @TableField("latest_download_time")
    @ApiModelProperty(value = "最新的下载时间")
    private Date latestDownloadTime;


    @TableField("collect_task_id")
    @ApiModelProperty(value = "采集任务id")
    private Long collectTaskId;

    @TableField("source")
    @ApiModelProperty(value = "来源或者采集器id")
    private String source;

    @TableField("file_serial_num")
    @ApiModelProperty(value = "来源或者采集器id")
    private String fileSerialNum;

    @TableField("latest_report_user_name")
    @ApiModelProperty(value = "最后一次上报人工号")
    private String latestReportUserName;

    @TableField("latest_report_user_full_name")
    @ApiModelProperty(value = "最后一次上报人姓名")
    private String latestReportUserFullName;

    @TableField("latest_retry_user_name")
    @ApiModelProperty(value = "最后一次重试操作人工号")
    private String latestRetryUserName;

    @TableField("latest_retry_user_full_name")
    @ApiModelProperty(value = "最后一次重试操作人姓名")
    private String latestRetryUserFullName;

    @TableField("basic_data_type")
    @ApiModelProperty(value = "基础数据类型 0：普通病案 1：门急诊病案 2：省中医封存病案")
    private Integer basicDataType;


    @TableField("download_file_path")
    @ApiModelProperty(value = "文件下载存放路径（程序生成）")
    private String downloadFilePath;


    @TableField("file_storage_format")
    @ApiModelProperty(value = "下载存储文件的方式  0 传过来的格式，1转为 pdf 默认 ，2 转为图片jpg存储")
    public Integer fileStorageFormat;

    public DownloadTask() {
    }

}