package com.docus.server.collect.enums;

/**
 * 下载方式
 */
public enum DownWayEnum {
    /**
     * http https ftp
     */
    HTTP(1,"网络地址URL"),
    /**
     * base64
     */
    BASE64(2,"BASE64内容文本"),
    /**
     * url返回base64内容
     */
    BASE64URL(3,"BASE64内容地址"),
    /**
     * 共享文件夹
     */
    SMB(4,"共享文件夹"),
    /**
     * 本地文件base64
     */
    LocalBase64(5,"本地BAE64内容文件"),
    ;

    private final Integer code;
    private final String desc;

    private DownWayEnum(Integer code, String desc) {
        this.code = code;
        this.desc=desc;
    }
    public Integer value() {
        return this.code;
    }
    public String desc(){
        return  this.desc;
    }

}
