package com.docus.server.collect.enums;

/**
 * 下载状态
 *
 * @author wyb
 */
public enum DownloadStateEnum {
    /**
     * 等待下载，未开始下载
     */
    WAIT(0, "未开始"),
    /**
     * 下载成功
     */
    success(1, "成功"),
    /**
     * 下载失败
     */
    fail(2, "失败");
    final Integer code;
    final String desc;

    DownloadStateEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer code() {
        return this.code;
    }

    public String desc() {
        return this.desc;
    }
}
