package com.docus.server.collect.infrastructure.client;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.collect.infrastructure.client.dto.ReportDownDto;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 下载平台服务
 * @author wyb
 */
@FeignClient(url = "${docus.url.downloadPlatform}",name = "download-platform")
public interface DownloadPlatformService {

    @ApiOperation("病案上报文件(通用)")
    @RequestMapping(value = "/api/downplatform/report",method = RequestMethod.POST)
    public CommonResult report(@RequestBody ReportDownDto resources);

    @ApiOperation("封存病历上报文件(省中医使用)")
    @RequestMapping(value = "/api/downplatform/sealReport",method = RequestMethod.POST)
    public CommonResult sealReport(@RequestBody ReportDownDto resources);
}
