package com.docus.server.collect.service;

import com.docus.server.collect.entity.DownloadTask;
import com.docus.server.collect.service.dto.ReportFileInfoDTO;

/**
 * 文件上报-接口
 * @author wyb
 */
public interface FileReportService {
    /**
     *
     * 上报文件信息，生成|更新下载任务，并下发下载平台，此方法用于基础病案 t_basic
     * @param fileInfoDTO 上报文件信息
     */
   void saveDownloadTaskAndReport(ReportFileInfoDTO fileInfoDTO);

    /**
     *
     * 上报封存病案文件信息，生成|更新下载任务，并下发下载平台，此方法用于封存病案 t_seal
     * @param fileInfoDTO 上报文件信息
     */
    void saveDownloadTaskAndSealReport(ReportFileInfoDTO fileInfoDTO);

    /**
     * 根据下载文件任务信息，查询下载任务id（用作文件id）
     * 查询有三个地方，文件表（需要有patientId），文件下载记录表（需要有patientId），文件下载任务表
     * @param downloadTask 下载文件任务信息
     * @return 下载任务id
     */
   Long getDownloadTaskId(DownloadTask downloadTask);

}
